%define name		xmlrpc
%define version		1.1
%define release		1jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define	section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Java XML-RPC implementation
License:	Apache License
Group:		Development/Java
Source:		%{name}-%{version}-src.tar.gz
Url:		http://xml.apache.org/%{name}
Requires:	servlet
Requires:	xerces-j1
BuildRequires:	ant
BuildRequires:	servlet
BuildRequires:	xerces-j1
BuildRequires:	jsse >= 1.0.2-5jpp
Buildarch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Vendor:		JPackage project

%description
Apache XML-RPC is a Java implementation of XML-RPC, a popular protocol
that uses XML over HTTP to implement remote procedure calls.
Apache XML-RPC was previously known as Helma XML-RPC. If you have code
using the Helma library, all you should have to do is change the import
statements in your code from helma.xmlrpc.* to org.apache.xmlrpc.*.

%package javadoc
Summary:	Javadoc for %{name}
Group:	Development/Java

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=\
%{javadir}/servlet.jar:\
%{javadir}/xerces-j1.jar:\
%{javadir}/jsse/jsse.jar:\
%{javadir}/jsse/jnet.jar:\
%{javadir}/jsse/jcert.jar
ant jar
ant javadocs

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 bin/%{name}-%{version}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
install -m 644 bin/%{name}-%{version}-applet.jar $RPM_BUILD_ROOT%{javadir}/%{name}-applet-%{version}.jar
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr docs/apidocs/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENSE README.txt
%{javadir}/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Mon Mar 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.1-1jpp 
- 1.1
- generic servlet support
- used source release
- dropped patch
- added applet jar

* Mon Jan 21 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-3jpp 
- versioned dir for javadoc
- no dependencies for javadoc package
- dropped jsse package
- adaptation to new servlet3 package
- adaptation to new jsse package
- section macro

* Fri Dec 7 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-2jpp
- javadoc into javadoc package

* Sat Nov 3 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-1jpp
- first JPackage release
